<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/">Achat</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="/note_resto">Note restaurant</a>
                </li>
            </ul>
        </div>
    </nav>


    <h1 class="text-center mt-4">Note de restaurant</h1>

    <!-- Bouton pour ouvrir la fenêtre modale -->
    <div class="text-center mt-4">
        <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#resetModal">
            Réinitialiser les données
        </button>
    </div>

    <!-- Fenêtre modale -->
    <div class="modal fade" id="resetModal" tabindex="-1" role="dialog" aria-labelledby="resetModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="resetModalLabel">Confirmation de réinitialisation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Êtes-vous sûr de vouloir réinitialiser toutes les données ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                    <form method="POST" action="/reset">
                        <button type="submit" class="btn btn-danger">Réinitialiser</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-4">
        <div class="card shadow">
            <div class="card-body">
                <h2 class="card-title mb-4">Ajouter un utilisateur</h2>
                <form method="POST">
                    <div class="input-group mb-3">
                        <input type="text" name="username" placeholder="Nom de l'utilisateur" class="form-control" pattern="[A-Za-zÀ-ÖØ-öø-ÿ]*" maxlength="15">
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-dark">Ajouter l'utilisateur</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="container mt-4">
        <div class="card shadow">
            <div class="card-body">
                <h2 class="card-title mb-4">Ajouter une dépense commune</h2>
                <form method="POST" action="/add_common_expense">
                    <div class="input-group mb-3">
                        <input type="text" name="item_name" placeholder="Nom de l'élément" class="form-control" pattern="[A-Za-zÀ-ÖØ-öø-ÿ]*" maxlength="15">
                        <input type="text" name="item_price" placeholder="Prix de l'élément" class="form-control" pattern="^\d+([.,]\d{1,2})?$" min="0">
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-dark">Ajouter la dépense</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <div class="container mt-4 mb-5">
    {% if users %}
        <div class="card shadow">
            <div class="card-body">
                <h2 class="card-title mb-2">Utilisateurs</h2><hr>
                {% for username, user in users.items() %}
                    <div class="mb-4">
                        <h3>{{ username }} - Total dépenses : {{ user.total }} €</h3><br>
                        {% if user.expenses == 0 %}
                            <form method="POST" class="mb-3">
                                <input type="hidden" name="username" value="{{ username }}">
                                <div class="input-group mb-3">
                                    <input type="text" name="expenses" placeholder="Dépenses de {{ username }}" class="form-control" pattern="^\d+([.,]\d{1,2})?$" min="0">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-dark">Ajouter</button>
                                    </div>
                                </div>
                            </form>
                        {% endif %}

                        <form method="POST">
                            <input type="hidden" name="username" value="{{ username }}">
                            <div class="input-group mb-3">
                                <input type="text" name="family_member" placeholder="Nom de l'accompagnant" class="form-control" pattern="[A-Za-zÀ-ÖØ-öø-ÿ]*" maxlength="15">
                                <input type="text" name="expenses" placeholder="Dépenses de l'accompagnant" class="form-control" pattern="^\d+([.,]\d{1,2})?$" min="0">
                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-dark">Ajouter</button>
                                </div>
                            </div>
                        </form>
                        <hr>
                        <h5 class="mb-1">{{ username }} = {{ user.expenses }} €</h5>
                        <hr>
                        {% for item_name, item_cost in user['common_expenses'].items() %}
                            <h5 class="mb-1">{{ username }}: {{ item_name }} = {{ item_cost }} €</h5><hr>
                        {% endfor %}
                        {% for member in user['family'] %}
                            <h5 class="mb-1">{{ member['name'] }} = {{ member['expenses'] }} €</h5><hr>
                            {% for item_name, item_cost in member['common_expenses'].items() %}
                                <h5 class="mb-1">{{ member['name'] }}: {{ item_name }} = {{ item_cost }} €</h5><hr>
                            {% endfor %}
                        {% endfor %}
                    </div>
                {% endfor %}
                
            </div>
        </div>
    {% endif %}
    </div>

    {% if common_expenses %}
        <div class="container mt-4">
            <div class="card shadow">
                <div class="card-body">
                    <h2 class="card-title mb-4">Dépenses communes</h2>
                    {% for item_name, item_price in common_expenses.items() %}
                        <h3>{{ item_name }} - Prix : {{ item_price }} €</h3>
                        <form method="POST" action="/divide_common_expense">
                            <input type="hidden" name="item_name" value="{{ item_name }}">
                            {% for username, user in users.items() %}
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="users" value="{{ username }}">
                                    <label class="form-check-label" for="{{ username }}">
                                        {{ username }}
                                    </label>
                                </div>
                                {% for member in user.family %}
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" name="users" value="{{ member.name }}">
                                        <label class="form-check-label" for="{{ member.name }}">
                                            {{ member.name }}
                                        </label>
                                    </div>
                                {% endfor %}
                            {% endfor %}
                            <button type="submit" class="btn btn-dark mt-3">Diviser la dépense</button>
                        </form>
                    {% endfor %}
                </div>
            </div>
        </div>
    {% endif %}


    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
</body>
</html>